## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

Name:           openapi-python-client
Version:        0.24.3
Release:        %autorelease
Summary:        Generate modern Python clients from OpenAPI

License:        MIT
URL:            https://github.com/openapi-generators/openapi-python-client
Source0:        %{url}/archive/refs/tags/v%{version}/openapi-python-client-%{version}.tar.gz
Source1:        openapi-python-client.man1

# chore(deps): update dependency typer to >0.6,<0.17
# https://github.com/openapi-generators/openapi-python-client/commit/13bf2e852c8cc68fff4b8c19abc2ae42bceff319
# (Changes to pdm.lock are not included in this patch.)
Patch:          openapi-python-client-0.24.3-typer-0.16.patch

BuildRequires:  python3-devel
BuildRequires:  python3-hatchling
BuildRequires:  python3-mypy
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock

BuildArch:      noarch

%global _description %{expand:
The openapi-python-client is a powerful tool designed to generate
modern Python clients from OpenAPI 3.0+ documents supporting both
synchronous and asynchronous HTTP requests. It automates the creation of
Python classes and methods that correspond to the endpoints and schema
defined in your OpenAPI specification, making it easier to interact with
your API in a type-safe manner.}

%description %{_description}


%package -n python3-%{name}
Summary:        %{summary}

%description -n python3-%{name} %{_description}


%prep
%autosetup -p1 -n openapi-python-client-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l openapi_python_client

# Install man page
mkdir -p %{buildroot}%{_mandir}/man1
cp %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1
gzip %{buildroot}%{_mandir}/man1/%{name}.1


%check
%pyproject_check_import

%if %{with tests}
%pytest tests
%endif


%files -n %{name} -f %{pyproject_files}
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%doc README.md
%doc CHANGELOG.md
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Sun Jun 22 2025 Python Maint <python-maint@redhat.com> - 0.24.3-3
- Rebuilt for Python 3.14

* Tue May 27 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.24.3-2
- Allow typer 0.16

* Thu Apr 03 2025 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 0.24.3-1
- Update to upstream version 0.24.3

* Sat Mar 29 2025 Doğukan Çağatay <dogukan.cagatay@aiven.io> - 0.24.2-1
- Initial import (fedora#2352654)
## END: Generated by rpmautospec
